### Name: glm.perm
### Title: Deviance and Dispersion Factors for a Generalized Linear Model
###   with Permuted Variables
### Aliases: glm.perm


### ** Examples

nobs<-40
x1<-rnorm(nobs)
x2<-rnorm(nobs)
xx<-cbind(x1,x2)
xint<-rep(1,nobs)

x0<-rnorm(nobs)+x1+x2
y<-x0+x1+x2+2*rnorm(nobs)
y<-ifelse(y>0,1,0)
resid<-lm(x0~x1+x2)$residuals
x <- cbind(xint,xx,resid)
glm.perm(y,x, Family=binomial())
### with Family=binomial() the dispersion factor is always 1
glm.perm(y,x, Family=quasibinomial())
### with Family=quasibinomial() the dispersion factor is estimated from the data

### example for Family=poisson()
utils::data(treepipit, package="coin")
y <- treepipit$counts
nobs <- length(y)
xint<-rep(1,nobs)
resid <- lm(cbpiles~coverstorey ,data=treepipit)$residuals
x <- cbind(xint, treepipit$coverstorey, resid)
glm.perm(y,x, Family=poisson())
### with Family=poisson() the dispersion factor is always 1
glm.perm(y,x, Family=quasipoisson())
### with Family=quasipoisson() the dispersion factor is estimated from the data



